﻿@model AddInfoDistrictViewModel
@{
    Layout = null;
}
<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SchoolDistrict'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                District information
            </h1>
        </div>
    </div>

    <div class="clearfix"></div>
    <hr />

    <div>
        <fieldset>
            <legend>Basic information</legend>
            <div>
                <label class="req-star" for="@Html.Ang(m => m.Domain)">Domain</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Domain)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Domain)" ng-model="@Html.Ang(m => m.Domain)" @Html.AngTooltipValidationFor(model => model.Domain) />
                </div>
            </div>
            <div class="clearfix"></div>
            <div>
                <label class="req-star" for="@Html.Ang(m => m.Name)">Name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Name)" ng-model="@Html.Ang(m => m.Name)" @Html.AngTooltipValidationFor(model => model.Name) />
                </div>
            </div>
            <div class="clearfix"></div>
            <label class="req-star">Address</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Address)>
                <input ng-model="@Html.Ang(model => model.Address)" id="@Html.Ang(m => m.Address)" name="Address" ng-autocomplete="@Html.Ang(model => model.Address)" options="MC.mapOptions" type="text" @Html.AngTooltipValidationFor(model => model.Address) />
            </div>
            <div class="clearfix"></div>
            <label class="req-star">Time zone</label>
            <div class="input-control select" id="timeZoneDiv1" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedTimeZone)>
                <div @Html.AngTooltipValidationFor(model => model.SelectedTimeZone) id="timeZoneDiv2">
                    <select ng-options="obj.Value as obj.Text for obj in Model.OrganizationTimeZone"
                            id="SelectTimeZone"
                            ng-model="@Html.Ang(m => m.SelectedTimeZone)"></select>
                </div>
            </div>
        </fieldset>
        <fieldset>
            <legend>Contact information</legend>

            <label>Superintendent</label>
            <div>
                <label for="@Html.Ang(m => m.SuperintendentName)">First name</label>
                <div class="input-control text" data-role="input-control">
                    <input type="text" autocomplete="off" id="@Html.Ang(m => m.SuperintendentName)" class="k-textbox" ng-model="@Html.Ang(m => m.SuperintendentName)" />
                </div>
            </div>
            <div>
                <label for="@Html.Ang(m => m.SuperintendentLastName)">Last name</label>
                <div class="input-control text" data-role="input-control">
                    <input type="text" autocomplete="off" id="@Html.Ang(m => m.SuperintendentLastName)" class="k-textbox" ng-model="@Html.Ang(m => m.SuperintendentLastName)" />
                </div>
            </div>
            <div>
                <label for="@Html.Ang(m => m.SuperintendentEmail)">Email</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.SuperintendentEmail)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.SuperintendentEmail)" ng-model="@Html.Ang(m => m.SuperintendentEmail)" @Html.AngTooltipValidationFor(model => model.SuperintendentEmail) />
                </div>
            </div>
            <div>
                <label for="@Html.Ang(m => m.SuperintendentPhone)">Phone</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.SuperintendentPhone)>
                    <input type="text" placeholder="e.g. 555-666-7777" id="@Html.Ang(m => m.SuperintendentPhone)" autocomplete="off" id="phone_number" class="k-textbox" ng-model="@Html.Ang(m => m.SuperintendentPhone)" @Html.AngTooltipValidationFor(model => model.SuperintendentPhone) />
                </div>
            </div>
            <br />
            <div class="clearfix"></div>
            <label>Area manager</label>
            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control select" data-role="input-control">
                        <select chosen multiple ng-model="@Html.Ang(m => m.SelectedAreaManager)"
                                id="SelectedAreaManager"
                                data-placeholder="Select"
                                ng-options="obj.Value as obj.Text for obj in Model.AreaManagerStaffs">
                            <option value=""></option>
                        </select>
                    </div>

                </div>
            </div>
            <br />
            <div class="clearfix"></div>
            <label>Regional director</label>
            <div>
                <div class="input-control select" data-role="input-control">
                    <select chosen multiple ng-model="@Html.Ang(m => m.SelectedRegionalDirector)"
                            name="SelectedStaff"
                            id="SelectedRegionalDirector"
                            data-placeholder="Select"
                            ng-options="obj.Value as obj.Text for obj in Model.RegionalDirectoStaffs">
                        <option value=""></option>
                    </select>
                </div>

            </div>
            <br />
            <div class="clearfix"></div>
            <label>Sales contact</label>
            <div>
                <div class="input-control select" data-role="input-control">
                    <select ng-model="@Html.Ang(m => m.SelectedSalesContact)"
                            name="SelectedStaff"
                            id="SelectedSalesContact"
                            data-placeholder="Select"
                            ng-options="obj.Value as obj.Text for obj in Model.SalesContactStaffs">
                        <option value="">Select</option>
                    </select>
                </div>
            </div>
        </fieldset>
        <fieldset>
            <legend>Additional information</legend>
            <div>
                <label for="@Html.Ang(m =>m.NcesId)">NCES ID</label>
                <div class="input-control text" data-role="input-control">
                    <input type="number" autocomplete="off" id="@Html.Ang(m => m.NcesId)" class="k-textbox" ng-model="@Html.Ang(m => m.NcesId)" />
                </div>
            </div>
            <div class="clearfix"></div>
            <div>
                <label for="@Html.Ang(m =>m.RevenueShare)">Revenue share</label>
                <div class="input-control text" data-role="input-control">
                    <input type="text" autocomplete="off" id="@Html.Ang(m => m.RevenueShare)" class="k-textbox" ng-model="@Html.Ang(m => m.RevenueShare)" />
                </div>
            </div>
            <div class="clearfix"></div>
            <div>
                <label for="@Html.Ang(m =>m.SelectedStaffingRatio)">Staffing ratio</label>
                <div class="input-control select" data-role="input-control">
                    <select ng-model="Model.SelectedStaffingRatio"
                            ng-options="obj.Value as obj.Text for obj in Model.AllValueforStaffingRatio">
                        <option value="">Select ratio</option>
                    </select>
                </div>
            </div>
        </fieldset>
    </div>

    <div>
        <div>
            <div class="box-fieldset-title">
                <div class="grid fluid">
                    <div class="row" style="border-bottom: 1px solid #e5e5e5;">
                        <div class="span3">
                            <span class="title-fieldset">Subsidy agency</span>
                        </div>
                        <div class="span9">
                            <button ng-if="!RemoveBtn_addSubsidy" id="btn_AddSubsidy" style="height: 34px;" class="info place-right inline-block" ng-click="ShowSubsidyListBox(true)">Add subsidy</button>
                            <button ng-if="ShowSubsidyBox" id="btn_saveSubsidy" style="height: 34px; line-height: 34px; padding: 0 16px;" class="btn success place-right inline-block" ng-click="SaveSubsidyTogrid()">Save</button>
                            <button ng-if="ShowSubsidyBox" id="btn_cancelSubsidy" style="height: 34px; line-height: 34px; padding: 0 10px;" class="btn place-right inline-block" ng-click="cancelGetSubsidy()">Cancel</button>
                            <div style="max-width: 500px; float: right; margin-right: 10px;" class="input-control select" data-role="input-control" ng-if="ShowSubsidyBox">
                                <select chosen multiple ng-model="@Html.Ang(m => m.SelectedSubsidies)"
                                        name="selectedSubsidies" data-placeholder="Select subsidies"
                                        id="SelectedSubsidies"
                                        ng-options="obj.Value as obj.Text for obj in Model.AllSubsidies">
                                    <option value=""></option>
                                </select>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div>
            </div>
            <div>
                <div ng-if="ShowSubsidyGrid">
                    <kendo-grid id="Subsidy" options="SubsidyGridOptions"></kendo-grid>
                </div>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>

    <div>
        <div>
            <div class="box-fieldset-title">
                <div class="grid fluid">
                    <div class="row" style="border-bottom: 1px solid #e5e5e5;">
                        <div class="span3">
                            <span class="title-fieldset">Schools</span>
                        </div>
                        <div class="span9">

                            <button style="height: 34px;" class="info place-right inline-block margin-left5" ng-click="homePageReplicate()">Replicate home page</button>
                            <button style="height: 34px;" class="info place-right inline-block margin-left5" ui-sref="SeasonReplicate({clubId:clubId, memberId: 0})">Replicate season</button>
                            <button style="height: 34px;" id="btn_AddSchool" class="info place-right inline-block" ng-click="ShowSchoolListBox(true)" ng-if="!RemoveBtn_addSchool">Add schools</button>

                            <button ng-if="ShowSchoolBox" id="btn_saveSchool" style="height: 34px; line-height: 34px; padding: 0 16px;" class="btn success place-right inline-block" ng-click="SaveSchoolsToTable()">Save</button>
                            <button ng-if="ShowSchoolBox" id="btn_cancelSchool" style="height: 34px; line-height: 34px; padding: 0 10px;" class="btn place-right inline-block" ng-click="cancelGetSchool()">Cancel</button>
                            <div style="max-width: 500px; float: right; margin-right: 10px;" class="input-control select" data-role="input-control" ng-if="ShowSchoolBox">
                                <select chosen multiple ng-model="@Html.Ang(m => m.SelectedSchools)"
                                        data-placeholder="Select schools"
                                        id="SelectedSchools"
                                        ng-options="obj.Value as obj.Text for obj in Model.AllSchools">
                                    <option value=""></option>
                                </select>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>

    <table class="table table-bordered margin-top20 menue-table" ng-if="ShowSchoolGrid" id="School">
        <thead>
            <tr>
                <td class="text-bold" style="width: 300px">Name</td>
                <td class="text-bold">Domain</td>
                <td class="text-bold" style="width:200px">NCES ID</td>
                <td class="text-bold">Provider ID #1</td>
                <td class="text-bold">Provider ID #2</td>
                <td class="text-bold text-right" style="padding-right:22px;white-space:nowrap;">Actions</td>
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="School in Model.ListSelectedSchool">
                <td>
                    <span>{{School.Name}}</span>
                </td>
                <td>
                    <span>{{School.Domain}}</span>
                </td>
                <td>
                    <div ng-if="!School.EditMode">
                        {{School.NCESId}}
                    </div>
                    <div ng-if="School.EditMode" class="input-control text" style="position: relative" data-role="input-control">
                        <input type="number" ng-model="School.NCESId" style="width:160px" />
                    </div>
                </td>
                <td>
                    <div ng-if="!School.EditMode">
                        {{School.FirstProviderId}}
                    </div>
                    <div ng-if="School.EditMode" class="input-control text" style="position: relative" data-role="input-control">
                        <input type="text" ng-model="School.FirstProviderId" style="width:160px " />
                    </div>
                </td>
                <td>
                    <div ng-if="!School.EditMode">
                        {{School.SecondProviderId}}
                    </div>
                    <div ng-if="School.EditMode" class="input-control text" style="position: relative" data-role="input-control">
                        <input type="text" ng-model="School.SecondProviderId" style="width:160px" />
                    </div>
                </td>
                <td role="gridcell">
                    <div ng-if="School.EditMode" style="position: relative;display: block; white-space: nowrap">
                        <button class="btn success" ng-if="School.EditMode" ng-click="saveSchool(School)">Save</button>
                        <button class="btn" ng-click="cancelSchoolItem(School)">Cancel</button>
                    </div>
                    <div ng-if="!School.EditMode">
                        <ul class="k-arrow-less" kendo-menu="" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                            <li class="k-item k-state-default" role="menuitem" style="z-index: auto;">
                                <span style="font-size:18px;font-weight:900;font-family:Arial;text-align:right">
                                    ...
                                </span>
                                <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                    <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                        <li ng-click="editSchoolItem(School)" class="k-item k-state-default k-first" role="menuitem">
                                            <span class="k-link jbi-pencil"> Edit provider IDs</span>
                                        </li>

                                        <li ng-click="DeleteSchoolFromDistrict(School)" class="k-item k-state-default" role="menuitem">
                                            <span class="k-link jbi-remove"> Delete</span>
                                        </li>
                                       
                                        <li ui-sref="SeasonReplicate({clubId:clubId, memberId: School.Id})" class="k-item k-state-default" role="menuitem">
                                            <span class="k-link jbi-files"> Replicate season</span>
                                        </li>

                                        <li ng-click="homePageReplicate(School.Id)" class="k-item k-state-default" role="menuitem">
                                            <span class="k-link jbi-files"> Replicate home page</span>
                                        </li>
                                    </ul>
                                </div>
                            </li>
                        </ul>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>

    <hr />
    <button type="submit" id="btn_save" class="success large place-right button" ng-click="save()">Submit</button>
    <div class="clearfix"></div>
</div>
